Bug 117331 - wrong number of parameters in function call ?
wrong number of parameters in function call ?
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: perl-DBD-Pg (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-02 16:31 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-11 07:51:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-03-02 16:31:22 EST
Description of problem:

I just tried to compile Core2 Test1 package perl-DBD-Pg-1.31-1

The compiler said

dbdimp.c(928): warning #140: too many arguments in function call

The source code is

	if ((ret = rewrite_execute_stmt(sth, imp_sth, statement, sth)) < 0)

but in file prescan_stmt.c is 

int
rewrite_execute_stmt(sth, imp_sth, output)
        SV* sth;
        imp_sth_t *imp_sth;
        char *output;
{

Suggest drop one of the parameters.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Note You need to log in before you can comment on or make changes to this bug.